Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces
Class VersionBean.Version

    java.lang.Object
      org.richfaces.VersionBean.Version

Enclosing class:
  VersionBean

    public static class VersionBean.Version

extends java.lang.Object

Class for incapsulate version info.

Version:
  $Revision: 19086 $ $Date: 2010-09-01 15:45:20 -0400 (Wed, 01 Sep 2010) $
Author:
  asmirnov@exadel.com (latest modification by $Author: nbelaevski $)

Constructor Summary
`VersionBean.Version()`

Method Summary
`java.lang.String` | `getImplementationTitle()`
`java.lang.String` | `getImplementationVendor()`
`java.lang.String` | `getImplementationVersion()`
`java.lang.String` | `getResourceVersion()`
`java.lang.String` | `getRevision()`
`java.lang.String` | `getScmRevision()`
`java.lang.String` | `getScmTimestamp()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionBean.Version

    public VersionBean.Version()

Method Detail

### getRevision

    public java.lang.String getRevision()

### getVersion

    public java.lang.String getVersion()

### getResourceVersion

    public java.lang.String getResourceVersion()

### getImplementationTitle

    public java.lang.String getImplementationTitle()

### getImplementationVendor

    public java.lang.String getImplementationVendor()

### getImplementationVersion

    public java.lang.String getImplementationVersion()

### getScmRevision

    public java.lang.String getScmRevision()

### getScmTimestamp

    public java.lang.String getScmTimestamp()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.